Bug 591293 - harden httpd.conf regarding .htaccess exposure
harden httpd.conf regarding .htaccess exposure
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 594981
  Show dependency treegraph
 
Reported: 2010-05-11 15:50 EDT by Vincent Danen
Modified: 2012-04-30 06:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 594981 (view as bug list)
Environment:
Last Closed: 2012-04-30 06:04:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-11 15:50:05 EDT
We received a report from Kenichi Maehashi regarding the Apache directive to keep .htaccess files protected.  Depending on the contents of an .htaccess file, it might be exposed due to how the directive is written (apparently it deviates from upstream as well).

<Files ~ "^\.ht">
Order allow,deny
Deny from all
</Files>

Should instead be:

<Files ~ "^\.ht">
Order allow,deny
Deny from all
Satisfy All
</Files>

Without the above change, an .htaccess file (allowed via AllowOverride All or AuthConfig):

Order deny,allow
Deny from all
Allow from 192.168.0.0/16

ErrorDocument 401 /blog/401.html
AuthUserFile "/home/blog/.htpasswds/public_html/blog/wp-admin/passwd"
AuthType Basic
AuthName "Restricted"
require valid-user

Satisfy Any

can be displayed by a user who authenticates, when it should never be displayed under any circumstances.

Note: I don't consider this a security _vulnerability_ but I do think we should harden our httpd.conf to prevent this from being a problem by default.
Comment 2 Joe Orton 2010-05-22 10:11:28 EDT
Yes, this seems reasonable.
Comment 3 Bug Zapper 2010-11-03 11:04:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Vincent Danen 2010-11-08 23:05:16 EST
Bumping this; it's still valid in current Fedora.  I don't want to file tracking bugs for this since it isn't really a security issue, but perhaps the next httpd is updated in Fedora we could include this fix?

Note You need to log in before you can comment on or make changes to this bug.